package com.kingdee.eas.custom.facade.plurality;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.facade.plurality.*;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PluralitySubFacade extends AbstractBizCtrl implements IPluralitySubFacade
{
    public PluralitySubFacade()
    {
        super();
        registerInterface(IPluralitySubFacade.class, this);
    }
    public PluralitySubFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IPluralitySubFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("A8411F30");
    }
    private PluralitySubFacadeController getController() throws BOSException
    {
        return (PluralitySubFacadeController)getBizController();
    }
    /**
     *自动终止兼职-User defined method
     *@param personId 人员id
     *@param curdate 指定日期
     *@param offset 日期偏移范围
     */
    public void autoPluralitEnd(String personId, String curdate, int offset) throws BOSException, EASBizException
    {
        try {
            getController().autoPluralitEnd(getContext(), personId, curdate, offset);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *离职后生成兼职终止-User defined method
     *@param personId 人员id
     *@param endDate 结束日期
     */
    public void resignCreateEnd(String personId, String endDate) throws BOSException, EASBizException
    {
        try {
            getController().resignCreateEnd(getContext(), personId, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}